Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions
Lucene::AttributeFactory Class Reference

`#include <AttributeSource.h>`

Inheritance diagram for Lucene::AttributeFactory:

## Public Member Functions

virtual | ~AttributeFactory ()
virtual String | getClassName ()
boost::shared_ptr< AttributeFactory > | shared_from_this ()
virtual AttributePtr | createAttributeInstance (const String &className)
| returns an `Attribute`.
template<class ATTR >
AttributePtr | createInstance (const String &className)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static AttributeFactoryPtr | DEFAULT_ATTRIBUTE_FACTORY ()
| This is the default factory that creates `Attribute`s using the class name of the supplied `Attribute` interface class by appending Impl to it.

## Protected Member Functions

| AttributeFactory ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ AttributeFactory()

Lucene::AttributeFactory::AttributeFactory | ( |  | ) |

protected

## ◆ ~AttributeFactory()

virtual Lucene::AttributeFactory::~AttributeFactory | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::AttributeFactory::_getClassName | ( |  | ) |

inline static

## ◆ createAttributeInstance()

virtual AttributePtr Lucene::AttributeFactory::createAttributeInstance | ( | const String & | className | ) |

virtual

returns an `Attribute`.

Reimplemented in Lucene::DefaultAttributeFactory, and Lucene::TokenAttributeFactory.

## ◆ createInstance()

template<class ATTR >

AttributePtr Lucene::AttributeFactory::createInstance | ( | const String & | className | ) |

inline

## ◆ DEFAULT_ATTRIBUTE_FACTORY()

static AttributeFactoryPtr Lucene::AttributeFactory::DEFAULT_ATTRIBUTE_FACTORY | ( |  | ) |

static

This is the default factory that creates `Attribute`s using the class name of the supplied `Attribute` interface class by appending Impl to it.

## ◆ getClassName()

virtual String Lucene::AttributeFactory::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::DefaultAttributeFactory, and Lucene::TokenAttributeFactory.

## ◆ shared_from_this()

boost::shared_ptr< AttributeFactory > Lucene::AttributeFactory::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- AttributeSource.h

clucene.sourceforge.net